---
title: Early-Data
slug: Web/HTTP/Headers/Early-Data
tags:
  - Client hints
  - HTTP
  - header
  - request
---
<div>{{SeeCompatTable}}{{HTTPSidebar}}</div>

<p><span class="seoSummary">The <code><strong>Early-Data</strong></code> header is set by an intermediary to indicate that the request has been conveyed in <a href="/en-US/docs/Web/Security/Transport_Layer_Security#TLS_1.3">TLS early data</a>, and also indicates that the intermediary understands the {{HTTPStatus("425", "425 (Too Early)")}} status code.</span></p>

<p>The <code>Early-Data</code> header is <strong>not</strong> set by the originator of the request (i.e., a browser).</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Request header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Early-Data: 1
</pre>

<h2 id="Examples">Examples</h2>

<pre>GET /resource HTTP/1.0
Host: example.com
Early-Data: 1</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("8470", "The Early-Data Header Field", "5.1")}}</td>
   <td>Using Early Data in HTTP</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Early-Data")}}</p>
